Subject: bug#5715: closed (Re: bug#5715: 23.1.91; setting `truncate-lines' disables multiline minibuffer input editing)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 24 Sep 2011 18:33:01 +0000

Your bug report

#5715: 23.1.91; setting `truncate-lines' disables multiline minibuffer input editing

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
5715: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5715
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5715: 23.1.91; setting `truncate-lines' disables multiline minibuffer input editing
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Sat, 24 Sep 2011 14:31:40 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

> (setq-default truncate-lines t)

This no longer affects the minibuffer.

Subject: 23.1.91; setting `truncate-lines' disables multiline minibuffer input editing
From: Štěpán Němec <[email-masked]>
To: [email-masked]
Date: Sat, 13 Mar 2010 11:48:36 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Steps to reproduce:
emacs -Q
(setq-default truncate-lines t)

Now in the minibuffer, always only single line is displayed during input
editing (e.g. try M-x C-q C-j).

Same thing happens with Emacs 21 and 22, now I tried.

Am I the only one who fails to see why setting `truncate-lines' should
affect this?

I can use

(add-hook 'minibuffer-setup-hook (lambda () (setq truncate-lines nil)))

to work around that, but I find this really weird.

Best regards,

     Štěpán